<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class QuestionCompetencyTag extends Model
{
    protected $fillable = ['question_id', 'competency_id', 'weight'];

    public function question()
    {
        return $this->belongsTo(FormQuestion::class, 'question_id');
    }

    public function competency()
    {
        return $this->belongsTo(Competency::class);
    }
}
